self: super: rec {
  openssl_1_1 = super.openssl_1_1.overrideAttrs (old: rec {
    version = "1.1.1k";
    pname = "openssl";
    name = "${pname}-${version}";
    src = builtins.fetchurl {
      url = "https://www.openssl.org/source/${pname}-${version}.tar.gz";
      sha256 = "1rdfzcrxy9y38wqdw5942vmdax9hjhgrprzxm42csal7p5shhal9";
    };
  });
  openssl = openssl_1_1;

  python2 = super.python2.override (old: {
    packageOverrides = python-self: python-super: {
      pyopenssl = python-super.callPackage ./pkgs/pyopenssl.nix { };
      cryptography = python-super.cryptography.overridePythonAttrs (old: {
        version = "3.2.1";
        src = python-super.fetchPypi {
          version = "3.2.1";
          pname = "cryptography-3.2.1";
          sha256 = "1inlnr36kl36551c9rcad99jmhk81v33by3glkadwdcgmi17fd75";
        };
      });
    };
  });

  python3 = super.python3.override (old: {
    packageOverrides = python-self: python-super: {
      pyopenssl = python-super.callPackage ./pkgs/pyopenssl.nix { };
      cryptography = python-super.cryptography.overridePythonAttrs (old: {
        version = "3.2.1";
        src = python-super.fetchPypi {
          version = "3.2.1";
          pname = "cryptography-3.2.1";
          sha256 = "1inlnr36kl36551c9rcad99jmhk81v33by3glkadwdcgmi17fd75";
        };
      });
    };
  });
}
